Subject: Re: renaming question

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 19 Aug 2007 21:56:21 -0400

Steven Grimm <[email-masked]> wrote:
> Not only that, git can detect movement of content *within* files. Try 
> moving some code from one file to another and running "git blame -M -C 
> -C" on the target file; you will see git tell you that the content 
> originally came from the first file. Pretty sweet. (It's not the default 
> since it makes "git blame" slower.)

And if you have a GUI available, try `git gui blame $file`.  It runs
git-blame twice to show you not only where the content originally
came from, but also who put it where it is now.  Still needs more
polish, but its quite useful as it is.

-- 
Shawn.